// defs.bp:  all the definitions you could ever imagine.
entity world;
entity self;
entity other;

float  time;
float  PI = 3.141592653589793238462643383279;

.vector origin;
.vector velocity;
.float health;
.float nextthink;
.void () think;
.entity enemy;
.entity chain;
.float hi;

// General statements:
Procedure Write (...); #1;
Function Spawn () : entity; #2;
Procedure Remove (entity e); #3;
// Math:
function sqrt (float f) : float; #4;
// Trig functions:
function sin (float f) : float; #5;
function cos (float f) : float; #6;
function tan (float f) : float; #7;
function csc (float f) : float; #8;
function sec (float f) : float; #9;
function cot (float f) : float; #10;
function arcsin (float f) : float; #11;
function arccos (float f) : float; #12;
function arctan (float f) : float; #13;
// Vector functions:
function normalize(vector v) : vector; #14;
function vlen(vector v) : float; #15;

// Misc. functions:
procedure WriteLn (...); #254;
procedure set_precision (float d, float n); #255;
